Skip to main content
GET
/
v1
/
tax_registrations
List
curl --request GET \
  --url https://{defaultHost}/v1/tax_registrations \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{defaultHost}/v1/tax_registrations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{defaultHost}/v1/tax_registrations', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "object": "list",
  "pagination": {
    "count": 1,
    "limit": 20,
    "page": 1,
    "url": "/v1/tax_registrations"
  },
  "data": [
    {
      "id": "7d155aa3-10b0-40ce-bd06-ac2582b05434",
      "object": "tax_registration",
      "label": null,
      "manual_rate": 5.5,
      "tax_identifier": null,
      "tax_zone": "97854512-9990-4e23-b96f-0c3860398bd1",
      "created_at": 1782485913,
      "updated_at": 1782485913
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

A limit on the number of items to be returned, between 1 and 100.

page
integer

The page of items you want returned.

tax_region[]
string[]

Only return objects in the given tax region.

Response

200 - application/json

Success

object
string

A string describing the object type returned.

pagination
object
data
array

An array of objects.